// $Id: AmbulanceAgent.cpp,v 1.1.1.1 2003/07/04 17:15:03 darseq Exp $
#include "AmbulanceAgent.h"
#include "WorldModel.h"

#define AMBULANCE_NR 2

AmbulanceAgent::AmbulanceAgent():BasicAgent(AGENTTYPE_AMBULANCE_TEAM) {
}
//----------------------------------------------------------------------------

void AmbulanceAgent::initialize() 
{

}
//----------------------------------------------------------------------------

void AmbulanceAgent::Dig(Rescue::Humanoid* H)
{
    mActions++;

    assert(dynamic_cast<Humanoid*>(H));
    assert(H->buriedness()>0);

    Debug(spam_output,"Output:[Agent %ld Time %ld] Rescuing H%ld (buried:%ld)\n",ID(),m_time,H->id(),H->buriedness());
    act_rescue(H);
}

//---------------------------------------------------------------------------

void AmbulanceAgent::Load(Rescue::Humanoid* H)
{
    mActions++;

    assert(dynamic_cast<Humanoid*>(H));
    assert(H->buriedness()==0);
    
    Debug(spam_output,"Output:[Agent %ld Time %ld] Loading H%ld \n",ID(),m_time);
    act_load(H);
}

//---------------------------------------------------------------------------

void AmbulanceAgent::Unload()
{
    mActions++;

    Debug(spam_output,"Output:[Agent %ld Time %ld] Unloading\n",ID(),m_time);
    act_unload();
}

//---------------------------------------------------------------------------

/*
    if(here->type() == TYPE_ROAD) {
        Road * road = (Road *) here;
//        fprintf(stderr,"%ld: road %ld, blockage %ld, repairCost %ld\n",
//            agent_id,location_id,(S32) road->block(),
//            (S32) road->repairCost());
        if(road->repairCost()) {
            Debug(spam_behaviour_execution,"%ld: unblocking road %ld\n",
                agent_id,location_id);
            act_open(road);
            acted = true;
        }
    }

    printPath();

    fprintf(stderr,"HERE: %c%4ld\n",
        ObjectTypeToChar(here->type()),here->id());
    printPath();

    int i=0;
    for(i=0; m_path[i] != NULL; i++) {
        if(m_path[i] == here) {
            break;
        }
    }
    if(m_path[i] == NULL) {
        fprintf(stderr,"Could not find here in path\n");
    }

void AmbulanceAgent::printPath(void) {
    if (m_path) {
        fprintf(stderr,"[ ");
        Object * o;
        for(int i=0;(o = m_path[i]) != NULL;i++) {
            fprintf(stderr,"%c%4ld ",
                ObjectTypeToChar(o->type()),o->id());
        }
        fprintf(stderr,"]\n");
    } else {fprintf(stderr,"No path");}
}
//----------------------------------------------------------------------------

void AmbulanceAgent::myfprintf(FILE * file,const char * str,...) {
    if(m_id == 2327) {
        va_list ap;
        va_start(ap,str);
        vfprintf(file,str,ap);
        va_end(ap);
    }
}
//----------------------------------------------------------------------------
*/
