// $Id: BasicCenter.h,v 1.1.1.1 2003/07/04 17:15:03 darseq Exp $
// copyright, s.post
#ifndef BASICCENTER_H
#define BASICCENTER_H

#include <adk.hxx>
#include "behaviour/behaviour.h"
#include "GroupInfo.h"
#include "main.h"

#define MSGS_C_C 4

class BasicCenter : public BasicActor {
    private:
        int msgs_a_c;
        int c_ready;
        bool ready2hear;
        typedef std::map<Object *,int> obj2int;
        typedef obj2int::iterator obj2int_it;
        obj2int center_msgs,center_ready;
        string ac_message;

        void init();
        bool anAgent(Object * object);
        bool aCenter(Object * object);
        void hear(Object *sender, const char *msg);
        void act_say(char * msg);
        void act_tell(char * msg);
        void communicateWorld();
        bool ready2send();
        void update();

        // each center performs the same newTeams algorithm...
//        vector<GroupInfo> new_teams;
//        void newTeams();
//        void communicateTeams();
    protected:

        virtual void initialize();
        virtual void aExchange(Object * sender,const char * msg) ;
        virtual void cExchange(Object * sender,const char * msg) ;
    public:
        BasicCenter(int type);
        Object* Position()
        {
            return Self();
        }
};
#endif

