
#ifndef BEHAVIOURCLEARROAD_H
#define BEHAVIOURCLEARROAD_H

#include "behaviour.h"

    class BehaviourClearRoad : public Behaviour
    {
    protected:
        virtual float Priority(class SituationModel* aModel,class TeamMember* aActor);
        virtual float Attainability(class SituationModel* aModel,class TeamMember* aActor);
    public:
        BehaviourClearRoad(Rescue::Road* road)
        {
            mTarget=road;
        }
        virtual void Execute(class BasicAgent* aExec);
        virtual string ToString();

     };


#endif
