
#ifndef BEHAVIOURDIG_H
#define BEHAVIOURDIG_H



#include "behaviour.h"

    class BehaviourDig : public Behaviour
    {
    protected:
        virtual float Priority(class SituationModel* aModel,class TeamMember* aActor);
        virtual float Attainability(class SituationModel* aModel,class TeamMember* aActor);
    public:
        BehaviourDig(Rescue::Humanoid* aHuman)
        {
            mTarget=aHuman;
        }
        class SituationModel* Predict(class SituationModel* aSituation,class TeamMember* aActor);
        virtual void Execute(class BasicAgent* aExec);
        virtual string ToString();

     };
#endif
