
#ifndef _BEHAVIOURFREE_H_
#define _BEHAVIOURFREE_H_

#include "behaviour.h"

    class BehaviourFree : public Behaviour
    {
    protected:
        virtual float Priority(class SituationModel* aModel,class TeamMember* aActor);
        virtual float Attainability(class SituationModel* aModel,class TeamMember* aActor);
        Rescue::Object* mClear;
        Rescue::Object* DetermineTarget(SituationModel* aModel,TeamMember* aActor);
    public:
        BehaviourFree(Rescue::Object* aTarget) : Behaviour()
        {
            mTarget=aTarget;
        }
        ~BehaviourFree()
        {
           
        }
        class SituationModel* Predict(class SituationModel* aSituation,class TeamMember* aActor);
        virtual void Execute(class BasicAgent* aExec);
        virtual string ToString();
     };

#endif
