#include "behaviouridle.h"
#include "../Team.h"
#include "../SituationModel.h"

float BehaviourIdle::Priority(SituationModel* aModel,TeamMember* aActor)
{
    return 0.1;
}

float BehaviourIdle::Attainability(SituationModel* aModel,TeamMember* aActor)
{
    return 1.0f;
}

void BehaviourIdle::Execute(BasicAgent * aExec)
{
    Debug(spam_behaviour_execution,"Executing %s by %s %04ld\n",ToString().c_str(),aExec->agentName(),aExec->ID());
    aExec->Idle();
}

string BehaviourIdle::ToString()
{
  return string("Idle");
}
