
#ifndef BEHAVIOURPATROL_H
#define BEHAVIOURPATROL_H

#include "behaviour.h"

    class BehaviourPatrol : public Behaviour
    {
    protected:
        virtual float Priority(class SituationModel* aModel,class TeamMember* aActor);
        virtual float Attainability(class SituationModel* aModel,class TeamMember* aActor);
    public:
        BehaviourPatrol() : Behaviour()
        {
            mTarget=0;
            mPosition=0;
        }
        class SituationModel* Predict(class SituationModel* aSituation,class TeamMember* aActor);
        virtual void Execute(class BasicAgent* aExec);
        virtual string ToString();
     };
#endif
