// $Id: GroupInfo.cpp,v 1.1.1.1 2003/07/04 17:15:03 darseq Exp $
#include "GroupInfo.h"

void Hset::insert(Humanoid * humanoid) {
    std::pair<iterator,bool> P = std::set<Humanoid *>::insert(humanoid);
    if(P.second) { // we've not seen this Humanoid yet...
//    print();
    } else {
        Debug(spam_group_information,"GroupInfo.cpp: duplicate humanoid\n");
    }
}
//----------------------------------------------------------------------------

void Hset::print(void) {
    Debug(spam_group_information,"Humanoids:");
    for(iterator it = begin();it != end();it++) {
        switch((*it)->type()) {
            case TYPE_AMBULANCE_TEAM:
                Debug(spam_group_information,"| A:%4d |",(*it)->id());
            break;
            case TYPE_POLICE_FORCE:
                Debug(spam_group_information,"| P:%4d |",(*it)->id());
            break;
            case TYPE_FIRE_COMPANY:
                Debug(spam_group_information,"| F:%4d |",(*it)->id());
            break;
//            case TYPE_AMBULANCE_CENTER:
//            case TYPE_POLICE_OFFICE:
//            case TYPE_FIRE_STATION:
            default:
                Debug(spam_group_information,
                    "GroupInfo.cpp: Invalid humanoid\n");
        }
    }
    Debug(spam_group_information,"\n");
}
//----------------------------------------------------------------------------

