
#ifndef TEAM_H
#define TEAM_H

#include "ImaginaryObject.h"

    class TeamMember 
    {
    protected:
        ImaginaryHuman* mHuman;
        class Behaviour* mBehaviour;
    public:
        TeamMember(ImaginaryHuman* aHumanoid);
        class Humanoid* Self() { return (Humanoid*)mHuman->ActualObject(); }
        class ImaginaryHuman* Human() { return mHuman; }
        
        bool Buried() { return mHuman->Burried(); }
        bool Dead() { return mHuman->Dead(); }
        float Hp() { return mHuman->mHp; }
        ImaginaryObject* Position() { return mHuman->mPosition; }
        
        class Behaviour*& Behaviour() { return mBehaviour; }
        bool IsFireBrigade() { return dynamic_cast<FireBrigade*>(mHuman->ActualObject()); }
        bool IsPoliceForce() { return dynamic_cast<PoliceForce*>(mHuman->ActualObject()); }
        bool IsAmbulanceTeam() { return dynamic_cast<AmbulanceTeam*>(mHuman->ActualObject()); }
    };
    

class Team : public vector<TeamMember*>
{
public: 
    Team()
    {
    }
};

#endif
