#include "behaviourevacuate.h"
#include "../FireAgent.h"
#include "../main.h"

    struct EvacTargetFn : public Memory::ObjectFn
    {
        virtual bool consider(const Rescue::Object * o) const
        {
            if (o->type() == TYPE_ROAD)
            {
                // TODO get roads in radius that are safe or road that exit leads to (in which case we don't need this ObjectFn)
//                Rescue::Road *R=(Rescue::Road*)o;
                return true;
            }
            return false;
        }
        virtual double f(const Rescue::Object *o) const
        {
            return 0.0;
        }
        EvacTargetFn() : ObjectFn()
        {
        }
    };
    

float BehaviourEvacuate::Priority(SituationModel* aModel,TeamMember* aActor)
{
    return 1.0;
}


float BehaviourEvacuate::Attainability(SituationModel* aModel,TeamMember* aActor)
{
    // TODO: check exit node and road to it for traversallebillety
    return GeneralOperationalAttainabilityScore(aActor);
}

void BehaviourEvacuate::Execute(BasicAgent* aExec)
{
    Debug(spam_behaviour_execution,"Executing %s by %s %04ld\n",ToString().c_str(),aExec->agentName(),aExec->ID());
}

string BehaviourEvacuate::ToString()
{
    return string("Evacuate from "+IntToString(((Building*)mTarget)->id()));
}
