
#ifndef BEHAVIOUREXTINGUISH_H
#define BEHAVIOUREXTINGUISH_H

#include "behaviour.h"

    class BehaviourExtinguish : public Behaviour
    {
    protected:
        virtual float Priority(class SituationModel* aModel,class TeamMember* aActor);
        virtual float Attainability(class SituationModel* aModel,class TeamMember* aActor);
    public:
        BehaviourExtinguish(Rescue::Building* building) : Behaviour()
        {
            mTarget=building;
            mPosition=0;
        }
        class SituationModel* Predict(class SituationModel* aSituation,class TeamMember* aActor);
        virtual void Execute(class BasicAgent* aExec);
        virtual string ToString();

     };

#endif
