
#ifndef BEHAVIOURRECON_H
#define BEHAVIOURRECON_H

#include "behaviour.h"

    class BehaviourRecon : public Behaviour
    {
    protected:
        virtual float Priority(class SituationModel* aModel,class TeamMember* aActor);
        virtual float Attainability(class SituationModel* aModel,class TeamMember* aActor);
        class Sector* mSector;
    public:
        BehaviourRecon(class Sector* aSector)
        {
            mSector=aSector;
            mTarget=0;    
            mPosition=0;
        }
        class SituationModel* Predict(class SituationModel* aSituation,class TeamMember* aActor);
        virtual void Execute(class BasicAgent* aExec);
        virtual string ToString();
     };
#endif
