#ifndef BEHAVIOURREFILLWATER_H
#define BEHAVIOURREFILLWATER_H

#include "behaviour.h"

    class BehaviourRefillWater : public Behaviour
    {
    protected:
        virtual float Priority(class SituationModel* aModel,class TeamMember* aActor);
        virtual float Attainability(class SituationModel* aModel,class TeamMember* aActor);
    public:
        BehaviourRefillWater(Rescue::Refuge* refuge)
        {
            mTarget=refuge;
        }
        class SituationModel* Predict(class SituationModel* aSituation,class TeamMember* aActor);
        virtual void Execute(class BasicAgent* aExec);

        virtual string ToString();
    };


#endif
