
#ifndef BEHAVIOURSWEEPPATH_H
#define BEHAVIOURSWEEPPATH_H

#include "behaviour.h"

    class BehaviourSweepPath : public Behaviour
    {
    protected:
        virtual float Priority(class SituationModel* aModel,class TeamMember* aActor);
        virtual float Attainability(class SituationModel* aModel,class TeamMember* aActor);
        const Path *mPath;
        Rescue::Object* mClear;
        Rescue::Object* DetermineTarget(SituationModel* aModel,TeamMember* aActor);
    public:
        BehaviourSweepPath(Path* aPath) : Behaviour()
        {
            mTarget=0;
            mPath=aPath;
        }
        ~BehaviourSweepPath()
        {
            if (mPath)
            {
                delete mPath;
            }
        }
        virtual class SituationModel* Predict(class SituationModel* aSituation,class TeamMember* aActor);
        virtual void Execute(class BasicAgent* aExec);
        virtual string ToString();
     };

#endif
