
#ifndef BEHAVIOURTRAVEL_H
#define BEHAVIOURTRAVEL_H

#include "behaviour.h"

class BehaviourTravel : public Behaviour
{
protected:
    virtual float Priority(class SituationModel* aModel,class TeamMember* aActor);
    virtual float Attainability(class SituationModel* aModel,class TeamMember* aActor);
    class Sector* mSector;
public:
    BehaviourTravel(class Sector* aSector)
    {
        mSector=aSector;
    }
    class SituationModel* Predict(class SituationModel* aSituation,class TeamMember* aActor);
    virtual void Execute(class BasicAgent* aExec);
    virtual string ToString();

};

#endif
